Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions(), NavigationItem(False), CreatableItem(False), DeferredDeletion(False)> _
Public Class StorageInRowsByDate 'Adott dátumra visszamenőleg készlet info sorai, amit action generál
    Inherits BaseObject
    Private _StorageInRows As StorageInRows 'Bevételi sor
    Private _StorageByDate As StorageByDate 'lekérdező fejléc
    Private _QTT As Double 'Mennyiség
    Private _AmountHUFFIFO As Double 'Mennyiséghez tartozó érték FIFO szerint
    Private _AmountHUFAverage As Double 'Átlagár szerinti érték
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
        ' This constructor is used when an object is loaded from a persistent storage.
        ' Do not place any code here or place it only when the IsLoading property is false:
        ' if (!IsLoading){
        '   It is now OK to place your initialization code here.
        ' }
        ' or as an alternative, move your initialization code into the AfterConstruction method.
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
        ' Place here your initialization code.
    End Sub

    Property StorageInRows As StorageInRows
        Get
            Return _StorageInRows
        End Get
        Set(value As StorageInRows)
            SetPropertyValue("StorageInRows", _StorageInRows, value)
        End Set
    End Property
    Property StorageByDate As StorageByDate
        Get
            Return _StorageByDate
        End Get
        Set(value As StorageByDate)
            SetPropertyValue("StorageByDate", _StorageByDate, value)
        End Set
    End Property
    Property QTT As Double
        Get
            Return _QTT
        End Get
        Set(value As Double)
            SetPropertyValue("QTT", _QTT, value)
        End Set
    End Property
    Property AmountHUFFIFO As Double
        Get
            Return _AmountHUFFIFO
        End Get
        Set(value As Double)
            SetPropertyValue("AmountHUFFIFO", _AmountHUFFIFO, value)
        End Set
    End Property
    Property AmountHUFAverage As Double
        Get
            Return _AmountHUFAverage
        End Get
        Set(value As Double)
            SetPropertyValue("AmountHUFAverage", _AmountHUFAverage, value)
        End Set
    End Property
End Class
